Arch Floor/ja: Difference between revisions

From FreeCAD Documentation
(Created page with "==スクリプト処理==")
(Updating to match new version of source page)
 
(28 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{GuiCommand|Name=Arch Floor|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Floor|Shortcut=F L|SeeAlso=[[Arch Building]], [[Arch Site]]}}
<div class="mw-translate-fuzzy">
{{Docnav/ja
|[[Arch_Rebar|Rebar]]
|[[Arch_BuildingPart|Building Part]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_Rebar.svg
|IconC=Workbench_Arch.svg |IconR=Arch_BuildingPart.svg
}}
</div>

<div class="mw-translate-fuzzy">
{{GuiCommand/ja
|Name=Arch Floor|Name/ja=Arch Floor
|MenuLocation=Arch → Floor
|Workbenches=[[Arch Workbench/ja|Arch]]
|Shortcut={{KEY|F}} {{KEY|L}}
|SeeAlso=[[Arch Building]], [[Arch BuildingPart]], [[Arch Site]]
}}
</div>


==説明==
==説明==


<div class="mw-translate-fuzzy">
Arch Floorは床を作成するのに特に便利な追加プロパティを持った特殊なタイプの[[Arch Cell/jp|Arch Cell]]です。特徴的なのがheightプロパティを持っていることで、その子オブジェクト([[Arch Wall|壁]]や[[Arch Structure|骨組み]])ではそれを使ってその高さを自動で設定することができます。
Arch Floorは床を作成するのに特に便利な追加プロパティを持った特殊なタイプのです。特徴的なのがheightプロパティを持っていることで、その子オブジェクト([[Arch Wall|壁]]や[[Arch Structure|骨組み]])ではそれを使ってその高さを自動で設定することができます。
</div>


As of {{VersionPlus|0.18}} the Arch Floor is derived entirely from the [[Arch BuildingPart|Arch BuildingPart]] object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing {{incode|Convert to BuildingPart}}.
{{languages/jp | {{en|Arch_Floor}} {{de|Arch_Floor/de}} {{es|Arch_Floor/es}} {{fr|Arch_Floor/fr}} {{it|Arch_Floor/it}} }}


==使用方法==
==使用方法==


<div class="mw-translate-fuzzy">
#オプションで、新しいフロアに含める1つ以上のオブジェクトを選択します
#オプションで、新しいフロアに含める1つ以上のオブジェクトを選択します
#{{KEY | [[Image:Arch Floor.png | 16px]] '''Arch Floor'''}}ボタンを押すか、{{KEY | F}}、その後{{KEY | L}}キーを押します
#{{KEY | [[Image:Arch Floor.svg|16px]] '''Arch Floor'''}}ボタンを押すか、{{KEY | F}}、その後{{KEY | L}}キーを押します
</div>


==オプション==
==オプション==


* After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the [[Image:Arch Add.png|16px]] [[Arch Add]] tool
* After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add|Arch Add]]}} tool.
* You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the [[Image:Arch Remove.png|16px]] [[Arch Remove]] tool
* You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove|Arch Remove]]}} tool.


==プロパティ==
==プロパティ==


An Arch Floor object shares all properties from an [[Arch BuildingPart|Arch BuildingPart]], with the {{PropertyData|Ifc Type}} set to {{incode|"Building Storey"}}.
* {{PropertyData|Height}}: The height of the floor, to be used by its child objects


<div class="mw-translate-fuzzy">
==スクリプト処理==
==スクリプト処理==
</div>


<div class="mw-translate-fuzzy">
The Floor tool can by used in [[macros]] and from the python console by using the following function:
Floorツールは、[[macros|マクロ]]やPythonコンソールから次の関数を使って使うことができます:
</div>
{{Code|code=
{{Code|code=
makeFloor ([objectslist])
Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
}}
}}
creates a floor including the objects from the given list.


* Creates a {{incode|Floor}} object from {{incode|objectslist}}, which is a list of objects.
Example:

例題:

{{Code|code=
{{Code|code=
import Arch
import FreeCAD, Draft, Arch

Arch.makeFloor()
p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
}}


<div class="mw-translate-fuzzy">
{{Docnav/ja
|[[Arch_Rebar|Rebar]]
|[[Arch_BuildingPart|Building Part]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_Rebar.svg
|IconC=Workbench_Arch.svg |IconR=Arch_BuildingPart.svg
}}
}}
</div>


{{Arch Tools navi{{#translation:}}}}
[[Category:Arch]]
{{Userdocnavi{{#translation:}}}}

Latest revision as of 13:53, 9 March 2022

Arch Floor

メニューの場所
Arch → Floor
ワークベンチ
Arch
デフォルトのショートカット
F L
バージョンで導入
-
も参照してください
Arch Building, Arch BuildingPart, Arch Site

説明

Arch Floorは床を作成するのに特に便利な追加プロパティを持った特殊なタイプのです。特徴的なのがheightプロパティを持っていることで、その子オブジェクト(骨組み)ではそれを使ってその高さを自動で設定することができます。

As of version 0.18 and above the Arch Floor is derived entirely from the Arch BuildingPart object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing Convert to BuildingPart.

使用方法

#オプションで、新しいフロアに含める1つ以上のオブジェクトを選択します # Arch Floorボタンを押すか、 F、その後 Lキーを押します

オプション

  • After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add tool.
  • You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the Arch Remove tool.

プロパティ

An Arch Floor object shares all properties from an Arch BuildingPart, with the データIfc Type set to "Building Storey".

スクリプト処理

Floorツールは、マクロやPythonコンソールから次の関数を使って使うことができます:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Creates a Floor object from objectslist, which is a list of objects.

例題:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()